%global modname fedmsg_meta_fedora_infrastructure

Name:               python-fedmsg-meta-fedora-infrastructure
Version:            0.3.9
Release:            1%{?dist}
Summary:            Metadata providers for Fedora Infrastructure's fedmsg deployment

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/%{modname}
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz
Patch0:             python-fedmsg-meta-fedora-infrastructure-disable-network-test.patch

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      fedmsg >= 0.10.0
BuildRequires:      python-nose
BuildRequires:      python-mock
BuildRequires:      python-fedora
BuildRequires:      python-dateutil

Requires:           fedmsg >= 0.7.7
Requires:           python-fedora
Requires:           python-dateutil

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-unittest2
BuildRequires:  python-ordereddict
BuildRequires:  python-argparse
Requires:       python-ordereddict
Requires:       python-argparse
%endif

%description
Metadata providers for Fedora Infrastructure's fedmsg deployment

fedmsg <http://fedmsg.com> is a set of tools for knitting together
services and webapps into a realtime messaging net.  This package contains
metadata provider plugins for the primary deployment of that system:
Fedora Infrastructure <http://fedoraproject.org/wiki/Infrastructure>.

If you were to deploy fedmsg at another site, you would like want to write
your own module like this one that could provide textual representations of
your messages.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%if 0%{?rhel} && 0%{?rhel} <= 6
# Go ahead and run tests for fedora
%else
# But skip them for now on el6 until this has mdae its way into fedmsg.
#https://github.com/fedora-infra/fedmsg/pull/196
%{__python} setup.py test
%endif

%files
%doc README.rst LICENSE
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Thu Jan 15 2015 Ralph Bean <rbean@redhat.com> - 0.3.9-1
- Handle a new message from the-new-hotness.
- Change the way usernames are returned from pkgdb messages.

* Fri Dec 12 2014 Ralph Bean <rbean@redhat.com> - 0.3.8-1
- Fixes to anitya messages (new distro.delete message).

* Sat Dec 06 2014 Ralph Bean <rbean@redhat.com> - 0.3.7-1
- New mirrormanager2 processor.
- Bugfix to the fedimg processor.
- Be able to distinguish between some prod and stg messages.

* Fri Nov 21 2014 Ralph Bean <rbean@redhat.com> - 0.3.6-1
- Latest upstream with some bugfixes.
- Disable network test with patch.

* Thu Oct 09 2014 Ralph Bean <rbean@redhat.com> - 0.3.5-1
- Further fixes to anitya.

* Wed Oct 08 2014 Ralph Bean <rbean@redhat.com> - 0.3.4-1
- Fixes to pkgdb and anitya processors.

* Fri Oct 03 2014 Ralph Bean <rbean@redhat.com> - 0.3.3-1
- New koschei and anitya processors.

* Mon Sep 29 2014 Ralph Bean <rbean@redhat.com> - 0.3.2-1
- Latest upstream.
- Handle different types of legacy messages.
- git messages now return the full patch via a call to msg2long_form.
- future-proofing against new types of bugzilla messages.

* Thu Aug 28 2014 Ralph Bean <rbean@redhat.com> - 0.3.1-1
- Latest upstream with the new conglomerator api.
- Also, fixes to copr messages.
- New threading lock put around fas cache regeneration.
- Bump up the BR version on fedmsg.

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 0.2.19-1
- Latest upstream with jenkins and pkgdb fixes.
- Remove patches.

* Wed Aug 13 2014 Ralph Bean <rbean@redhat.com> - 0.2.18-3
- Upstream patches to fix further problems with the jenkins processor.

* Sun Aug 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.18-2
- Patch out time-sensitive test.

* Sat Aug 09 2014 Ralph Bean <rbean@redhat.com> - 0.2.18-1
- Fix test suite.

* Sat Aug 09 2014 Ralph Bean <rbean@redhat.com> - 0.2.17-1
- Bugfixes to jenkins messages.

* Sat Aug 09 2014 Ralph Bean <rbean@redhat.com> - 0.2.16-1
- Remove patch.
- Handle fedora college messages.

* Fri Jul 11 2014 Ralph Bean <rbean@redhat.com> - 0.2.15-2
- Patch to handle github edge case.

* Thu Jul 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.15-1
- New kerneltest processor
- Fixes to pkgdb, coprs, elections, github, and releng.

* Thu Jun 19 2014 Ralph Bean <rbean@redhat.com> - 0.2.14-1
- Updates to the github processor.
- New fedimg cloudy releng processor from David Gay.
- Switch to libravatar full-time.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Ralph Bean <rbean@redhat.com> - 0.2.13-1
- More fixes for pkgdb2.
- New fmn.web message processor.

* Fri May 16 2014 Ralph Bean <rbean@redhat.com> - 0.2.12-1
- Fixes for pkgdb.
- New icons for copr and meetbot.
- Fixes to supybot topic changes.

* Tue Mar 25 2014 Ralph Bean <rbean@redhat.com> - 0.2.11-1
- New github processor.
- New ftpsync processor.
- Require latest fedmsg to manage conflict between git and github procs.

* Thu Feb 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.10-1
- Fixes to the icons for many processors.

* Fri Feb 21 2014 Ralph Bean <rbean@redhat.com> - 0.2.9-1
- Latest upstream with jenkins processor.
- Links are added to summershum processor.
- Bugfix to handle legacy bodhi messages in ancient datanommer history.

* Wed Feb 19 2014 Ralph Bean <rbean@redhat.com> - 0.2.8-1
- Latest upstream with summershum processor.

* Thu Feb 13 2014 Ralph Bean <rbean@redhat.com> - 0.2.7-1
- Bugfix to that last release.

* Thu Feb 13 2014 Ralph Bean <rbean@redhat.com> - 0.2.6-1
- Latest upstream.
- Handle secondary koji instances.
- Other bugfixes

* Fri Jan 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-1
- Latest upstream.
- Compose processor supports epelbeta7
- Support for cnucnuweb.
- Support for koji scratch builds.

* Tue Nov 12 2013 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- Latest upstream.
- Support new COPR messages.
- Make git icons square.
- Handle the new fedora badges login message.

* Tue Oct 22 2013 Ralph Bean <rbean@redhat.com> - 0.2.3-4
- Disable tests on el6 for now.

* Tue Oct 22 2013 Ralph Bean <rbean@redhat.com> - 0.2.3-3
- Fix conditional for el6 deps, rhbz #1022222.

* Thu Oct 17 2013 Ralph Bean <rbean@redhat.com> - 0.2.3-2
- Reenable the test suite now that fedmsg has caught up.
- Patch out the failing avatar test.
- Add dep on python-dateutil

* Tue Oct 01 2013 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Latest upstream with pkgdb2 and fedocal.

* Fri Sep 27 2013 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Latest upstream with new processor for nuancier.

* Wed Sep 04 2013 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Latest upstream with bugfixes and a few more message types.
- Temporarily disable the test suite while fedmsg catches up.

* Tue Aug 06 2013 Ralph Bean <rbean@redhat.com> - 0.1.9-2
- Remove old patches.

* Tue Aug 06 2013 Ralph Bean <rbean@redhat.com> - 0.1.9-1
- Added ansible processor.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Ralph Bean <rbean@redhat.com> - 0.1.8-1
- Add possibility of caching fas data for irc nicks.
- Fix the mediawiki subtitle.
- Use users username for badge links (instead of the integer id).

* Tue Jun 18 2013 Ralph Bean <rbean@redhat.com> - 0.1.7-1
- Added badges processors for fedbadges backend.

* Thu Jun 06 2013 Ralph Bean <rbean@redhat.com> - 0.1.6-2
- Removed an old unneeded patch.

* Thu Jun 06 2013 Ralph Bean <rbean@redhat.com> - 0.1.6-1
- Fix the planet processor name.
- Add mailman3 processor for the future.

* Mon May 13 2013 Ralph Bean <rbean@redhat.com> - 0.1.5-2
- Patch: don't declare tickets closed unless that value actually changes.

* Mon May 13 2013 Ralph Bean <rbean@redhat.com> - 0.1.5-1
- New upstream with new avatars and emails interfaces.
- New dep on python-fedora
- Temporarily remove test for avatars while python-fedora catches up.
- New processor for fedorahosted/trac messages.

* Wed Apr 24 2013 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- Handle the latest tagger2 messages.

* Wed Apr 24 2013 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- Docstrings for tests for self-documentation of the /topics/ doc.
- Cleanup some koji and compose messages.
- Random typo and bug fixes.

* Mon Mar 11 2013 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- More meetbot message types
- Handle secondary arch compose messages.
- Handle koji package list changes
- Give up on askbot deep linking.  It is hard.
- Use non-https cgit urls.
- Use non-https planet urls.
- Better debug of unhandled messages.

* Fri Feb 08 2013 Ralph Bean <rbean@redhat.com> - 0.1.0-1
- Fine tuning of some messages and links.
- Correct __name__ for KojiProcessor.

* Fri Feb 01 2013 Ralph Bean <rbean@redhat.com> - 0.0.9-1
- Support usernames and links for koji messages.
- Support new and old-style fas message bodies.

* Thu Jan 31 2013 Ralph Bean <rbean@redhat.com> - 0.0.8-1
- Latest upstream.  New planet and buildsys (koji) message types.

* Mon Jan 21 2013 Ralph Bean <rbean@redhat.com> - 0.0.7-1
- Latest upstream, yet more changes to git/scm messages.

* Sat Jan 19 2013 Ralph Bean <rbean@redhat.com> - 0.0.6-1
- Latest upstream, more changes to git/scm messages.

* Wed Jan 16 2013 Ralph Bean <rbean@redhat.com> - 0.0.5-1
- Latest upstream, changes to git/scm messages.

* Mon Jan 07 2013 Ralph Bean <rbean@redhat.com> - 0.0.4-1
- Latest upstream, now with pkgdb messages.

* Tue Nov 27 2012 Ralph Bean <rbean@redhat.com> - 0.0.3-1
- Initial package for Fedora
